Skip to main content
GET
/
api
/
v1
/
openclaw
/
tiktok
/
search
Search by Keyword
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/tiktok/search \
  --header 'Authorization: Bearer <token>'

Parameters

query
string
required
Keyword to search for (e.g., funny)
date_posted
string
Time Frame (e.g., all-time) Available options: yesterday, this-week, this-month, last-3-months, last-6-months, all-time
sort_by
string
Sort by Available options: relevance, like_count, date_posted
cursor
integer
Cursor to get more videos. Get ‘cursor’ from previous response. (e.g., 12)
region
string
Region the proxy will be set to. (e.g., US)
trim
boolean
Set to true to get a trimmed response (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/tiktok/search?query=funny" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "cursor": 12,
    "search_item_list": [
      {
        "aweme_info": {
          "desc": "...",
          "statistics": {
            "digg_count": 123,
            "comment_count": 45,
            "play_count": 67890
          },
          "video": {
            "bit_rate": [
              {
                "play_addr": {
                  "url_list": [
                    "..."
                  ]
                }
              }
            ]
          }
        }
      }
    ]
  },
  "meta": {
    "platform": "tiktok",
    "endpoint": "search",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.

Note

Rates and quotas may apply based on your Yoinkit subscription.